%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 16

%global py_major 3.9

%global python_major python%{py_major}

%global pkgname importlib-metadata 

%global srcname importlib_metadata

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        6.8.0
Release:        1
Summary:        Read metadata from Python packages
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/i/%{pkgname}/importlib_metadata-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0

Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:       %{python_major}-zipp >= 0.6.0


%description
importlib_metadata is a library that provides access to the metadata
of an installed Distribution Package, such as its entry points or its
top-level names (Import Packages, modules, if any). Built in part on
Python's import system, this library intends to replace similar functionality
in the entry point API and metadata API of pkg_resources. Along with
importlib.resources, this package can eliminate the need to use the older
and less efficient pkg_resources package.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}
Requires:      python3-zipp >= 0.6.0

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{srcname}-%{version}


%build
#NOTHING TO DO

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} -m pip install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

# Testing requires a chain of dependencies, with maturin module
# requiring rust compiler.So not possible right now. 

%endif


%files
%defattr(-,root,system,-)
%license LICENSE
%doc README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Tue Sep 19 2023 Ayappan Perumal <ayappap2@in.ibm.com> - 6.8.0-1
- Update to 6.8.0 version

* Mon Jan 16 2023 Sangeetha Bandi <sanbandi@in.ibm.com> - 0.23-2
- importlib-metadata for python3.9

* Wed Nov 06 2019 Reshma V Kumar <reskumar@in.ibm.com> -0.23-1
- Initial port for AIX Toolbox
- Build with python3
